<?php
include '../../../source/class/class_core.php';
$au = new AvatarUploader();
if ( $au->processRequest() ) {
	exit;
}

// 显示编辑页面，页面中包含 camera.swf
$uid = intval($_G['uid']);
$urlAvatarBig    = $au->getAvatarUrl( $uid, 'big' );
$urlAvatarMiddle = $au->getAvatarUrl( $uid, 'middle' );
$urlAvatarSmall  = $au->getAvatarUrl( $uid, 'small' );
$urlCameraFlash = $au->renderHtml( $uid );
?>
<script type="text/javascript">
function updateavatar() {
	window.parent.location.reload();
}
</script>
<?= $urlCameraFlash ?>
